Index: testsuites/fstests/fserror/imfs_fserror.scn
===================================================================
--- testsuites/fstests/fserror/imfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fserror/imfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,94 @@
+*** FILE SYSTEM TEST ( IMFS ) ***
+Initializing filesystem IMFS
+
+
+*** ERROR TEST ***
+Testing open       with arguments: "name01, O_CREAT | O_EXCL" EXPECT "EEXIST"
+PASS
+Testing mkdir      with arguments: "name01, mode"       EXPECT "EEXIST"
+PASS
+Testing open       with arguments: "name02, O_WRONLY"   EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name02, O_RDWR"     EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "\"\", O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name03, O_WRONLY"   EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "\"\", mode"         EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOTDIR"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOTDIR"
+PASS
+Testing close      with arguments: "-1"                 EXPECT "EBADF"
+PASS
+Testing close      with arguments: "100"                EXPECT "EBADF"
+PASS
+Testing rename     with arguments: "name01, name"       EXPECT "EINVAL"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/imfs_fserror/../fserror/test.c: 156 
+Testing rename     with arguments: "name03, name02"     EXPECT "EISDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/imfs_fserror/../fserror/test.c: 164 
+Testing rename     with arguments: "nonexistence, name01" EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/imfs_fserror/../fserror/test.c: 171 
+Testing rename     with arguments: "\"\", name01"       EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/imfs_fserror/../fserror/test.c: 172 
+Testing rename     with arguments: "name01, \"\""       EXPECT "ENOENT"
+PASS
+Testing rename     with arguments: "name, name03"       EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/imfs_fserror/../fserror/test.c: 182 
+Testing rename     with arguments: "name03, name"       EXPECT "ENOTDIR"
+PASS
+Testing rename     with arguments: "name02, name03"     EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/imfs_fserror/../fserror/test.c: 184 
+Testing truncate   with arguments: "file, -1"           EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"..\""             EXPECT "ENOTEMPTY"
+PASS
+Testing rmdir      with arguments: "\"tmp\""            EXPECT "ENOTEMPTY"
+PASS
+Testing rmdir      with arguments: "\".\""              EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"tmp/.\""          EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "\"tmp/file\""       EXPECT "ENOTDIR"
+PASS
+Testing unlink     with arguments: "\"tmp/file/dir\""   EXPECT "ENOTDIR"
+PASS
+Testing read       with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing read       with arguments: "100, readbuf, 10"   EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, databuf, 10"    EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_END" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_CUR" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_SET" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_END" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_CUR" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, 0, SEEK_SET"    EXPECT "EBADF"
+PASS
+*** END OF ERROR TEST ***
+
+
+Shutting down filesystem IMFS
+*** END OF FILE SYSTEM TEST ( IMFS ) ***
Index: testsuites/fstests/fserror/jffs2_fserror.scn
===================================================================
--- testsuites/fstests/fserror/jffs2_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fserror/jffs2_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,96 @@
+
+
+*** FILE SYSTEM TEST ( JFFS2 ) ***
+Initializing filesystem JFFS2
+
+
+*** ERROR TEST ***
+Testing open       with arguments: "name01, O_CREAT | O_EXCL" EXPECT "EEXIST"
+PASS
+Testing mkdir      with arguments: "name01, mode"       EXPECT "EEXIST"
+PASS
+Testing open       with arguments: "name02, O_WRONLY"   EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name02, O_RDWR"     EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "\"\", O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name03, O_WRONLY"   EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "\"\", mode"         EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOTDIR"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOTDIR"
+PASS
+Testing close      with arguments: "-1"                 EXPECT "EBADF"
+PASS
+Testing close      with arguments: "100"                EXPECT "EBADF"
+PASS
+Testing rename     with arguments: "name01, name"       EXPECT "EINVAL"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fserror/../fserror/test.c: 156
+Testing rename     with arguments: "name03, name02"     EXPECT "EISDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fserror/../fserror/test.c: 164
+Testing rename     with arguments: "nonexistence, name01" EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fserror/../fserror/test.c: 171
+Testing rename     with arguments: "\"\", name01"       EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fserror/../fserror/test.c: 172
+Testing rename     with arguments: "name01, \"\""       EXPECT "ENOENT"
+PASS
+Testing rename     with arguments: "name, name03"       EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fserror/../fserror/test.c: 182
+Testing rename     with arguments: "name03, name"       EXPECT "ENOTDIR"
+PASS
+Testing rename     with arguments: "name02, name03"     EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fserror/../fserror/test.c: 184
+Testing truncate   with arguments: "file, -1"           EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"..\""             EXPECT "ENOTEMPTY"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fserror/../fserror/test.c: 266
+Testing rmdir      with arguments: "\"tmp\""            EXPECT "ENOTEMPTY"
+PASS
+Testing rmdir      with arguments: "\".\""              EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"tmp/.\""          EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "\"tmp/file\""       EXPECT "ENOTDIR"
+PASS
+Testing unlink     with arguments: "\"tmp/file/dir\""   EXPECT "ENOTDIR"
+PASS
+Testing read       with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing read       with arguments: "100, readbuf, 10"   EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, databuf, 10"    EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_END" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_CUR" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_SET" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_END" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_CUR" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, 0, SEEK_SET"    EXPECT "EBADF"
+PASS
+*** END OF ERROR TEST ***
+
+
+Shutting down filesystem JFFS2
+*** END OF FILE SYSTEM TEST ( JFFS2 ) ***
Index: testsuites/fstests/fserror/mdosfs_fserror.scn
===================================================================
--- testsuites/fstests/fserror/mdosfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fserror/mdosfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,96 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
+Initializing filesystem MOUNTED DOSFS
+
+
+*** ERROR TEST ***
+Testing open       with arguments: "name01, O_CREAT | O_EXCL" EXPECT "EEXIST"
+PASS
+Testing mkdir      with arguments: "name01, mode"       EXPECT "EEXIST"
+PASS
+Testing open       with arguments: "name02, O_WRONLY"   EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name02, O_RDWR"     EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "\"\", O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name03, O_WRONLY"   EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "\"\", mode"         EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOTDIR"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOTDIR"
+PASS
+Testing close      with arguments: "-1"                 EXPECT "EBADF"
+PASS
+Testing close      with arguments: "100"                EXPECT "EBADF"
+PASS
+Testing rename     with arguments: "name01, name"       EXPECT "EINVAL"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mdosfs_fserror/../fserror/test.c: 156
+Testing rename     with arguments: "name03, name02"     EXPECT "EISDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mdosfs_fserror/../fserror/test.c: 164
+Testing rename     with arguments: "nonexistence, name01" EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mdosfs_fserror/../fserror/test.c: 171
+Testing rename     with arguments: "\"\", name01"       EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mdosfs_fserror/../fserror/test.c: 172
+Testing rename     with arguments: "name01, \"\""       EXPECT "ENOENT"
+PASS
+Testing rename     with arguments: "name, name03"       EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mdosfs_fserror/../fserror/test.c: 182
+Testing rename     with arguments: "name03, name"       EXPECT "ENOTDIR"
+PASS
+Testing rename     with arguments: "name02, name03"     EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mdosfs_fserror/../fserror/test.c: 184
+Testing truncate   with arguments: "file, -1"           EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"..\""             EXPECT "ENOTEMPTY"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mdosfs_fserror/../fserror/test.c: 266
+Testing rmdir      with arguments: "\"tmp\""            EXPECT "ENOTEMPTY"
+PASS
+Testing rmdir      with arguments: "\".\""              EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"tmp/.\""          EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "\"tmp/file\""       EXPECT "ENOTDIR"
+PASS
+Testing unlink     with arguments: "\"tmp/file/dir\""   EXPECT "ENOTDIR"
+PASS
+Testing read       with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing read       with arguments: "100, readbuf, 10"   EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, databuf, 10"    EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_END" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_CUR" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_SET" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_END" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_CUR" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, 0, SEEK_SET"    EXPECT "EBADF"
+PASS
+*** END OF ERROR TEST ***
+
+
+Shutting down filesystem MOUNTED DOSFS
+*** END OF FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
Index: testsuites/fstests/fserror/mimfs_fserror.scn
===================================================================
--- testsuites/fstests/fserror/mimfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fserror/mimfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,96 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED IMFS ) ***
+Initializing filesystem MOUNTED IMFS
+
+
+*** ERROR TEST ***
+Testing open       with arguments: "name01, O_CREAT | O_EXCL" EXPECT "EEXIST"
+PASS
+Testing mkdir      with arguments: "name01, mode"       EXPECT "EEXIST"
+PASS
+Testing open       with arguments: "name02, O_WRONLY"   EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name02, O_RDWR"     EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "\"\", O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name03, O_WRONLY"   EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "\"\", mode"         EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOTDIR"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOTDIR"
+PASS
+Testing close      with arguments: "-1"                 EXPECT "EBADF"
+PASS
+Testing close      with arguments: "100"                EXPECT "EBADF"
+PASS
+Testing rename     with arguments: "name01, name"       EXPECT "EINVAL"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fserror/../fserror/test.c: 156
+Testing rename     with arguments: "name03, name02"     EXPECT "EISDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fserror/../fserror/test.c: 164
+Testing rename     with arguments: "nonexistence, name01" EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fserror/../fserror/test.c: 171
+Testing rename     with arguments: "\"\", name01"       EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fserror/../fserror/test.c: 172
+Testing rename     with arguments: "name01, \"\""       EXPECT "ENOENT"
+PASS
+Testing rename     with arguments: "name, name03"       EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fserror/../fserror/test.c: 182
+Testing rename     with arguments: "name03, name"       EXPECT "ENOTDIR"
+PASS
+Testing rename     with arguments: "name02, name03"     EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fserror/../fserror/test.c: 184
+Testing truncate   with arguments: "file, -1"           EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"..\""             EXPECT "ENOTEMPTY"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fserror/../fserror/test.c: 266
+Testing rmdir      with arguments: "\"tmp\""            EXPECT "ENOTEMPTY"
+PASS
+Testing rmdir      with arguments: "\".\""              EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"tmp/.\""          EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "\"tmp/file\""       EXPECT "ENOTDIR"
+PASS
+Testing unlink     with arguments: "\"tmp/file/dir\""   EXPECT "ENOTDIR"
+PASS
+Testing read       with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing read       with arguments: "100, readbuf, 10"   EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, databuf, 10"    EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_END" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_CUR" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_SET" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_END" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_CUR" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, 0, SEEK_SET"    EXPECT "EBADF"
+PASS
+*** END OF ERROR TEST ***
+
+
+Shutting down filesystem MOUNTED IMFS
+*** END OF FILE SYSTEM TEST ( MOUNTED IMFS ) ***
Index: testsuites/fstests/fserror/mrfs_fserror.scn
===================================================================
--- testsuites/fstests/fserror/mrfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fserror/mrfs_fserror.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,96 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+
+
+*** ERROR TEST ***
+Testing open       with arguments: "name01, O_CREAT | O_EXCL" EXPECT "EEXIST"
+PASS
+Testing mkdir      with arguments: "name01, mode"       EXPECT "EEXIST"
+PASS
+Testing open       with arguments: "name02, O_WRONLY"   EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name02, O_RDWR"     EXPECT "EISDIR"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "\"\", O_WRONLY"     EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name03, O_WRONLY"   EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOENT"
+PASS
+Testing mkdir      with arguments: "\"\", mode"         EXPECT "ENOENT"
+PASS
+Testing open       with arguments: "name, O_WRONLY"     EXPECT "ENOTDIR"
+PASS
+Testing mkdir      with arguments: "name, mode"         EXPECT "ENOTDIR"
+PASS
+Testing close      with arguments: "-1"                 EXPECT "EBADF"
+PASS
+Testing close      with arguments: "100"                EXPECT "EBADF"
+PASS
+Testing rename     with arguments: "name01, name"       EXPECT "EINVAL"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fserror/../fserror/test.c: 156
+Testing rename     with arguments: "name03, name02"     EXPECT "EISDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fserror/../fserror/test.c: 164
+Testing rename     with arguments: "nonexistence, name01" EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fserror/../fserror/test.c: 171
+Testing rename     with arguments: "\"\", name01"       EXPECT "ENOENT"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fserror/../fserror/test.c: 172
+Testing rename     with arguments: "name01, \"\""       EXPECT "ENOENT"
+PASS
+Testing rename     with arguments: "name, name03"       EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fserror/../fserror/test.c: 182
+Testing rename     with arguments: "name03, name"       EXPECT "ENOTDIR"
+PASS
+Testing rename     with arguments: "name02, name03"     EXPECT "ENOTDIR"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fserror/../fserror/test.c: 184
+Testing truncate   with arguments: "file, -1"           EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"..\""             EXPECT "ENOTEMPTY"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fserror/../fserror/test.c: 266
+Testing rmdir      with arguments: "\"tmp\""            EXPECT "ENOTEMPTY"
+PASS
+Testing rmdir      with arguments: "\".\""              EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"tmp/.\""          EXPECT "EINVAL"
+PASS
+Testing rmdir      with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "\"\""               EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: "nonexistence"       EXPECT "ENOENT"
+PASS
+Testing rmdir      with arguments: "\"tmp/file\""       EXPECT "ENOTDIR"
+PASS
+Testing unlink     with arguments: "\"tmp/file/dir\""   EXPECT "ENOTDIR"
+PASS
+Testing read       with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing read       with arguments: "100, readbuf, 10"   EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, databuf, 10"    EXPECT "EBADF"
+PASS
+Testing write      with arguments: "fd, readbuf, 10"    EXPECT "EBADF"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_END" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_CUR" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, -100, SEEK_SET" EXPECT "EINVAL"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_END" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, huge, SEEK_CUR" EXPECT "EOVERFLOW"
+PASS
+Testing lseek      with arguments: "fd, 0, SEEK_SET"    EXPECT "EBADF"
+PASS
+*** END OF ERROR TEST ***
+
+
+Shutting down filesystem MOUNTED RFS
+*** END OF FILE SYSTEM TEST ( MOUNTED RFS ) ***
Index: testsuites/fstests/fsfpathconf/mrfs_fsfpathconf.scn
===================================================================
--- testsuites/fstests/fsfpathconf/mrfs_fsfpathconf.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsfpathconf/mrfs_fsfpathconf.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,30 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+
+
+*** FPATHCONF TEST ***
+
+fpathconf of non-existing file give -1 , expected -1
+... creating file "testfile.km"
+*** file created succesfully
+
+request with _PC_LINK_MAX return : 5
+request with _PC_MAX_CANON return : 128
+request with _PC_MAX_INPUT return : 7
+request with _PC_NAME_MAX return : 255
+request with _PC_PATH_MAX return : 255
+request with _PC_PIPE_BUF return : 1024
+request with _PC_CHOWN_RESTRICTED return : 0
+request with _PC_NO_TRUNC return : 1
+request with _PC_VDISABLE return : 0
+request with _PC_ASYNC_IO return : 0
+request with _PC_PRIO_IO return : 0
+request with _PC_SYNC_IO return : 0
+request with bad argument return : -1
+*** END OF FPATHCONF TEST ***
+
+
+Shutting down filesystem MOUNTED RFS
+*** END OF FILE SYSTEM TEST ( MOUNTED RFS ) ***
Index: testsuites/fstests/fslink/imfs_fslink.scn
===================================================================
--- testsuites/fstests/fslink/imfs_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fslink/imfs_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,15 @@
+*** FILE SYSTEM TEST ( IMFS ) ***
+Initializing filesystem IMFS
+
+
+*** LINK TEST ***
+link creates hardlinks
+test if the stat is the same
+chmod and chown
+unlink then stat the file 
+*** END OF LINK TEST ***
+
+
+Shutting down filesystem IMFS
+*** END OF FILE SYSTEM TEST ( IMFS ) ***
+
Index: testsuites/fstests/fslink/jffs2_fslink.scn
===================================================================
--- testsuites/fstests/fslink/jffs2_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fslink/jffs2_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,16 @@
+
+
+*** FILE SYSTEM TEST ( JFFS2 ) ***
+Initializing filesystem JFFS2
+
+
+*** LINK TEST ***
+link creates hardlinks
+test if the stat is the same
+chmod and chown
+unlink then stat the file
+*** END OF LINK TEST ***
+
+
+Shutting down filesystem JFFS2
+*** END OF FILE SYSTEM TEST ( JFFS2 ) ***
Index: testsuites/fstests/fslink/mimfs_fslink.scn
===================================================================
--- testsuites/fstests/fslink/mimfs_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fslink/mimfs_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,10 @@
+*** FILE SYSTEM TEST ( MOUNTED IMFS ) ***
+Initializing filesystem MOUNTED IMFS
+
+
+*** LINK TEST ***
+link creates hardlinks
+test if the stat is the same
+chmod and chown
+unlink then stat the file 
+*** END OF LINK TEST ***
Index: testsuites/fstests/fslink/mrfs_fslink.scn
===================================================================
--- testsuites/fstests/fslink/mrfs_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fslink/mrfs_fslink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,16 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+
+
+*** LINK TEST ***
+link creates hardlinks
+test if the stat is the same
+chmod and chown
+unlink then stat the file
+*** END OF LINK TEST ***
+
+
+Shutting down filesystem MOUNTED RFS
+*** END OF FILE SYSTEM TEST ( MOUNTED RFS ) ***
Index: testsuites/fstests/fspatheval/imfs_fspatheval.scn
===================================================================
--- testsuites/fstests/fspatheval/imfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspatheval/imfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,80 @@
+*** FILE SYSTEM TEST ( IMFS ) ***
+Initializing filesystem IMFS
+
+
+*** PATH EVALUATION TEST ***
+Making directory /test1/
+Making directory tets2
+Making directory ///test3
+Making directory test4////
+Making directory ../../test5
+Making directory /test1/../test6
+Making directory ./test7/
+Making directory .././test8
+Making directory test8/./../test9
+Making directory ///test9/../test10
+
+Making directory !#$%&()-@^_`{}~'
+Making directory 0_1_A
+Making directory aaa bbb
+Making directory ccc....ddd
+Making directory  fff
+
+Removing directory test10
+Removing directory test9
+Removing directory test8
+Removing directory test7
+Removing directory test6
+Removing directory test5
+Removing directory test4
+Removing directory test3
+Removing directory tets2
+Removing directory test1
+
+Removing directory  fff
+Removing directory ccc....ddd
+Removing directory aaa bbb
+Removing directory 0_1_A
+Removing directory !#$%&()-@^_`{}~'
+
+Create file /test1
+Create file tets2
+Create file ///test3
+Create file test4
+Create file ../../test5
+Create file /../test6
+Create file ./test7
+Create file .././test8
+Create file /./../test9
+Create file //../test10
+
+Create file !#$%&()-@^_`{}~'
+Create file 0_1_A
+Create file aaa bbb
+Create file ccc....ddd
+Create file  fff
+
+Removing file test10
+Removing file test9
+Removing file test8
+Removing file test7
+Removing file test6
+Removing file test5
+Removing file test4
+Removing file test3
+Removing file tets2
+Removing file test1
+
+Removing file  fff
+Removing file ccc....ddd
+Removing file aaa bbb
+Removing file 0_1_A
+Removing file !#$%&()-@^_`{}~'
+
+mkdir /tmp/a/b
+cd /tmp
+*** END OF PATH EVALUATION TEST ***
+
+
+Shutting down filesystem IMFS
+*** END OF FILE SYSTEM TEST ( IMFS ) ***
Index: testsuites/fstests/fspatheval/jffs2_fspatheval.scn
===================================================================
--- testsuites/fstests/fspatheval/jffs2_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspatheval/jffs2_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,82 @@
+
+
+*** FILE SYSTEM TEST ( JFFS2 ) ***
+Initializing filesystem JFFS2
+
+
+*** PATH EVALUATION TEST ***
+Making directory /test1/
+Making directory tets2
+Making directory ///test3
+Making directory test4////
+Making directory ../../test5
+Making directory /test1/../test6
+Making directory ./test7/
+Making directory .././test8
+Making directory test8/./../test9
+Making directory ///test9/../test10
+
+Making directory !#$%&()-@^_`{}~'
+Making directory 0_1_A
+Making directory aaa bbb
+Making directory ccc....ddd
+Making directory  fff
+
+Removing directory test10
+Removing directory test9
+Removing directory test8
+Removing directory test7
+Removing directory test6
+Removing directory test5
+Removing directory test4
+Removing directory test3
+Removing directory tets2
+Removing directory test1
+
+Removing directory  fff
+Removing directory ccc....ddd
+Removing directory aaa bbb
+Removing directory 0_1_A
+Removing directory !#$%&()-@^_`{}~'
+
+Create file /test1
+Create file tets2
+Create file ///test3
+Create file test4
+Create file ../../test5
+Create file /../test6
+Create file ./test7
+Create file .././test8
+Create file /./../test9
+Create file //../test10
+
+Create file !#$%&()-@^_`{}~'
+Create file 0_1_A
+Create file aaa bbb
+Create file ccc....ddd
+Create file  fff
+
+Removing file test10
+Removing file test9
+Removing file test8
+Removing file test7
+Removing file test6
+Removing file test5
+Removing file test4
+Removing file test3
+Removing file tets2
+Removing file test1
+
+Removing file  fff
+Removing file ccc....ddd
+Removing file aaa bbb
+Removing file 0_1_A
+Removing file !#$%&()-@^_`{}~'
+
+mkdir /tmp/a/b
+cd /tmp
+*** END OF PATH EVALUATION TEST ***
+
+
+Shutting down filesystem JFFS2
+*** END OF FILE SYSTEM TEST ( JFFS2 ) ***
